Bug 184385 - graphics/proj: bad permissions in package
Summary: graphics/proj: bad permissions in package
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-30 08:50 UTC by Slaven Rezic
Modified: 2013-12-29 15:41 UTC (History)
0 users

See Also:


Attachments
proj.patch (1.32 KB, patch)
2013-12-13 14:51 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Slaven Rezic 2013-11-30 08:50:00 UTC
	The proj-4.8.0_1.tbz package has bad permissions for the file
	include/projects.h:

	    $ tar tfv proj-4.8.0_1.tbz
	    ...
	    -rw-r-----  0 root   wheel   15057 22 Jul 09:37 include/projects.h
	    ...

	After installing the package using pkg_add it looks the same:

	    $ ls -al /usr/local/include/projects.h 
	    -rw-r-----  1 root  wheel  15057 22 Jul 09:37 /usr/local/include/projects.h

Fix: 

post-install probably should not use ${CP} but a
	${INSTALL...} macro.
Comment 1 Tijl Coosemans freebsd_committer 2013-12-13 14:51:06 UTC
Hi,

As maintainer of the graphics/proj FreeBSD port can you take a look at
and approve the attached patch?

It fixes http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184385 and
converts the port to use staging.
Comment 2 Tijl Coosemans freebsd_committer 2013-12-13 14:51:34 UTC
State Changed
From-To: open->feedback
Comment 3 Tijl Coosemans freebsd_committer 2013-12-13 14:51:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Take.
Comment 4 dfilter service freebsd_committer 2013-12-29 15:10:01 UTC
Author: tijl
Date: Sun Dec 29 15:09:53 2013
New Revision: 338006
URL: http://svnweb.freebsd.org/changeset/ports/338006

Log:
  - Fix permissions on include/projects.h.
  - USES=gmake.
  - Staging.
  
  PR:		ports/184385
  Approved by:	maintainer timeout (2 weeks)

Modified:
  head/graphics/proj/Makefile   (contents, props changed)
  head/graphics/proj/pkg-plist   (contents, props changed)

Modified: head/graphics/proj/Makefile
==============================================================================
--- head/graphics/proj/Makefile	Sun Dec 29 15:07:21 2013	(r338005)
+++ head/graphics/proj/Makefile	Sun Dec 29 15:09:53 2013	(r338006)
@@ -3,7 +3,7 @@
 
 PORTNAME=	proj
 PORTVERSION=	4.8.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics geography
 MASTER_SITES=	ftp://ftp.remotesensing.org/proj/ \
 		http://download.osgeo.org/proj/
@@ -18,14 +18,10 @@ CONFLICTS=	proj4-[0-9]*
 DATUM_GRID_FILES=	proj-datumgrid-1.5.zip
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
 USE_LDCONFIG=	yes
 USE_ZIP=	yes
 
-MAN1=		cs2cs.1 geod.1 proj.1
-MAN3=		pj_init.3
-
-NO_STAGE=	yes
 post-extract:
 	@${UNZIP_CMD} -q ${DISTDIR}/${DATUM_GRID_FILES} -d ${WRKSRC}/nad
 
@@ -34,6 +30,6 @@ post-patch:
 		${WRKSRC}/Makefile.in
 
 post-install:
-	${CP} ${WRKSRC}/src/projects.h ${PREFIX}/include/
+	${INSTALL_DATA} ${WRKSRC}/src/projects.h ${STAGEDIR}${PREFIX}/include
 
 .include <bsd.port.mk>

Modified: head/graphics/proj/pkg-plist
==============================================================================
--- head/graphics/proj/pkg-plist	Sun Dec 29 15:07:21 2013	(r338005)
+++ head/graphics/proj/pkg-plist	Sun Dec 29 15:09:53 2013	(r338006)
@@ -12,6 +12,10 @@ lib/libproj.la
 lib/libproj.so
 lib/libproj.so.7
 libdata/pkgconfig/proj.pc
+man/man1/cs2cs.1.gz
+man/man1/geod.1.gz
+man/man1/proj.1.gz
+man/man3/pj_init.3.gz
 %%DATADIR%%/FL
 %%DATADIR%%/GL27
 %%DATADIR%%/IGNF
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Tijl Coosemans freebsd_committer 2013-12-29 15:40:45 UTC
State Changed
From-To: feedback->closed

Fixed in r338006.